Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BotCommandScope

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BotCommandScope

Direct Known Subclasses:
  `TdApi.BotCommandScopeAllChatAdministrators`, `TdApi.BotCommandScopeAllGroupChats`, `TdApi.BotCommandScopeAllPrivateChats`, `TdApi.BotCommandScopeChat`, `TdApi.BotCommandScopeChatAdministrators`, `TdApi.BotCommandScopeChatMember`, `TdApi.BotCommandScopeDefault`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.BotCommandScope extends TdApi.Object permits TdApi.BotCommandScopeDefault, TdApi.BotCommandScopeAllPrivateChats, TdApi.BotCommandScopeAllGroupChats, TdApi.BotCommandScopeAllChatAdministrators, TdApi.BotCommandScopeChat, TdApi.BotCommandScopeChatAdministrators, TdApi.BotCommandScopeChatMember
This class is an abstract base class. Represents the scope to which bot commands are relevant.

## Constructor Summary

Constructors
Constructor
Description
`BotCommandScope()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BotCommandScope

public BotCommandScope()
Default class constructor.